#include <iomanip>
#include <iostream>
#include <vector>
#define f(i, s, k, l) for(int i = s; i < k; i += l)
#define for0(i, k) f(i, 0, k, 1)

#define pl pair<long long, long long>
#define pb push_back

#define vl vector<long long>
#define vi vector<int>
#define sz(x) (ll)(x).size()

using namespace std;
using ll = long long;
using ld = long double;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    string s;
    cin >> s;
    ll n = sz(s);
    vector<ld> dp(n + 1, 0);

    dp[0] = 0;
    for(ll r = 1; r <= n; r++) {
        ld prob = 10;
        ld num  = 0;
        ld pow  = 1;
        for(ll l = r; l > 0; l--) {
            dp[r] += 0.9 * prob * dp[l];
            prob *= 0.1;

            num += pow * (s[l - 1] - '0');
            pow *= 10;
        }
        // precision??
        dp[r] += num * prob;
    }
    cout << fixed << setprecision(10) << dp[n] << endl;
}
